<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="form">
    <h2 class="ui dividing header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_MEMBER}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_MEMBERINFO}}"></span>
    </h2>
    <br />
    <form class="ui form" id="teammembers-form" method="post" th:object="${teammember}">
      <input type="hidden" th:field="*{pk.team}" />
      <input type="hidden" th:field="*{pk.resource}" />
      <div class="fields">
        <th:block th:replace="common/fragments/input :: dropdownlist(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ROLE}}, 
						                                                 field = 'occupation.id', 
						                                                 options = ${occupations},
						                                                 optionfield = 'item.name',
						                                                 required = true,
						                                                 columnsize = 'sixteen wide',
                                                                         emptyoption = true
						                                                 )" />
      </div>
      <div class="fields">
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPROVE}}, 
	                                                                   field = 'approver', 
	                                                                   required = true, 
	                                                                   option = '',
	                                                                   localized = false,
	                                                                   message = '',
	                                                                   columnsize = 'four wide',
	                                                                   function = '' 
	                                                                   )" />
        <th:block th:replace="common/fragments/input :: toggle(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVIEWER}}, 
	                                                                   field = 'reviewer', 
	                                                                   required = true, 
	                                                                   option = '',
	                                                                   localized = false,
	                                                                   message = '',
	                                                                   columnsize = 'four wide',
	                                                                   function = ''
	                                                                   )" />
        <div class="required field four wide">
          <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ALLOCATION}}"></h4>
          <div class="ui range" id="allocation-range">
            <div class="inner" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
              <div class="track"></div>
              <div class="track-fill" th:style="'width: ' + *{allocation} +'% ;'"></div>
              <div class="thumb" th:style="'left: ' + *{allocation} +'% ;'"></div>
            </div>
          </div>
          <th:block th:replace="common/fragments/input :: text(label = null, 
                                         field = 'allocation', 
                                         required = false, 
                                         placeholder = '',
                                         maxlength = 3,
                                         columnsize = 'sixteen wide'
                                         )" />
        </div>
      </div>
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SAVE},
		                                                          		icon1text =${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SAVE},
		                                                          		icon1url = '',
		                                                          		)" />
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
